# DaprAppCallbackProtos.BindingEventResponse (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprAppCallbackProtos.BindingEventResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprAppCallbackProtos.BindingEventResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.BindingEventResponseOrBuilder`, `Serializable`

Enclosing class:
  DaprAppCallbackProtos

    public static final class DaprAppCallbackProtos.BindingEventResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprAppCallbackProtos.BindingEventResponseOrBuilder

     BindingEventResponse includes operations to save state or
     send data to output bindings optionally.

Protobuf type `dapr.proto.runtime.v1.BindingEventResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency` BindingEventConcurrency is the kind of concurrency
`static class` `DaprAppCallbackProtos.BindingEventResponse.Builder` BindingEventResponse includes operations to save state or send data to output bindings optionally.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CONCURRENCY_FIELD_NUMBER`
`static int` `DATA_FIELD_NUMBER`
`static int` `STATES_FIELD_NUMBER`
`static int` `STORE_NAME_FIELD_NUMBER`
`static int` `TO_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency` `getConcurrency()` The concurrency of output bindings to send data to "to" output bindings list.
`int` `getConcurrencyValue()` The concurrency of output bindings to send data to "to" output bindings list.
`com.google.protobuf.ByteString` `getData()` The content which will be sent to "to" output bindings.
`static DaprAppCallbackProtos.BindingEventResponse` `getDefaultInstance()`
`DaprAppCallbackProtos.BindingEventResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Parser<DaprAppCallbackProtos.BindingEventResponse>` `getParserForType()`
`int` `getSerializedSize()`
`CommonProtos.StateItem` `getStates​(int index)` The state key values which will be stored in store_name.
`int` `getStatesCount()` The state key values which will be stored in store_name.
`List<CommonProtos.StateItem>` `getStatesList()` The state key values which will be stored in store_name.
`CommonProtos.StateItemOrBuilder` `getStatesOrBuilder​(int index)` The state key values which will be stored in store_name.
`List<? extends CommonProtos.StateItemOrBuilder>` `getStatesOrBuilderList()` The state key values which will be stored in store_name.
`String` `getStoreName()` The name of state store where states are saved.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of state store where states are saved.
`String` `getTo​(int index)` The list of output bindings.
`com.google.protobuf.ByteString` `getToBytes​(int index)` The list of output bindings.
`int` `getToCount()` The list of output bindings.
`com.google.protobuf.ProtocolStringList` `getToList()` The list of output bindings.
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static DaprAppCallbackProtos.BindingEventResponse.Builder` `newBuilder()`
`static DaprAppCallbackProtos.BindingEventResponse.Builder` `newBuilder​(DaprAppCallbackProtos.BindingEventResponse prototype)`
`DaprAppCallbackProtos.BindingEventResponse.Builder` `newBuilderForType()`
`protected DaprAppCallbackProtos.BindingEventResponse.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseDelimitedFrom​(InputStream input)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(byte[] data)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(InputStream input)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(ByteBuffer data)`
`static DaprAppCallbackProtos.BindingEventResponse` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprAppCallbackProtos.BindingEventResponse>` `parser()`
`DaprAppCallbackProtos.BindingEventResponse.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### STORE_NAME_FIELD_NUMBER

    public static final int STORE_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### STATES_FIELD_NUMBER

    public static final int STATES_FIELD_NUMBER

See Also:
  Constant Field Values

#### TO_FIELD_NUMBER

    public static final int TO_FIELD_NUMBER

See Also:
  Constant Field Values

#### DATA_FIELD_NUMBER

    public static final int DATA_FIELD_NUMBER

See Also:
  Constant Field Values

#### CONCURRENCY_FIELD_NUMBER

    public static final int CONCURRENCY_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getStoreName

    public String getStoreName()

     The name of state store where states are saved.

`string store_name = 1;`

Specified by:
  `getStoreName` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Returns:
  The storeName.

#### getStoreNameBytes

    public com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store where states are saved.

`string store_name = 1;`

Specified by:
  `getStoreNameBytes` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Returns:
  The bytes for storeName.

#### getStatesList

    public List<CommonProtos.StateItem> getStatesList()

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

Specified by:
  `getStatesList` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

#### getStatesOrBuilderList

    public List<? extends CommonProtos.StateItemOrBuilder> getStatesOrBuilderList()

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

Specified by:
  `getStatesOrBuilderList` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

#### getStatesCount

    public int getStatesCount()

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

Specified by:
  `getStatesCount` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

#### getStates

    public CommonProtos.StateItem getStates​(int index)

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

Specified by:
  `getStates` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

#### getStatesOrBuilder

    public CommonProtos.StateItemOrBuilder getStatesOrBuilder​(int index)

     The state key values which will be stored in store_name.

`repeated .dapr.proto.common.v1.StateItem states = 2;`

Specified by:
  `getStatesOrBuilder` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

#### getToList

    public com.google.protobuf.ProtocolStringList getToList()

     The list of output bindings.

`repeated string to = 3;`

Specified by:
  `getToList` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Returns:
  A list containing the to.

#### getToCount

    public int getToCount()

     The list of output bindings.

`repeated string to = 3;`

Specified by:
  `getToCount` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Returns:
  The count of to.

#### getTo

    public String getTo​(int index)

     The list of output bindings.

`repeated string to = 3;`

Specified by:
  `getTo` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The to at the given index.

#### getToBytes

    public com.google.protobuf.ByteString getToBytes​(int index)

     The list of output bindings.

`repeated string to = 3;`

Specified by:
  `getToBytes` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the to at the given index.

#### getData

    public com.google.protobuf.ByteString getData()

     The content which will be sent to "to" output bindings.

`bytes data = 4;`

Specified by:
  `getData` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Returns:
  The data.

#### getConcurrencyValue

    public int getConcurrencyValue()

     The concurrency of output bindings to send data to
     "to" output bindings list. The default is SEQUENTIAL.

`.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`

Specified by:
  `getConcurrencyValue` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Returns:
  The enum numeric value on the wire for concurrency.

#### getConcurrency

    public DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency getConcurrency()

     The concurrency of output bindings to send data to
     "to" output bindings list. The default is SEQUENTIAL.

`.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`

Specified by:
  `getConcurrency` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
Returns:
  The concurrency.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(ByteBuffer data)
                                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(ByteBuffer data,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(com.google.protobuf.ByteString data)
                                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(com.google.protobuf.ByteString data,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(byte[] data)
                                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(byte[] data,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(InputStream input)
                                                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(InputStream input,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseDelimitedFrom​(InputStream input)
                                                                         throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseDelimitedFrom​(InputStream input,
                                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.BindingEventResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprAppCallbackProtos.BindingEventResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprAppCallbackProtos.BindingEventResponse.Builder newBuilder()

#### newBuilder

    public static DaprAppCallbackProtos.BindingEventResponse.Builder newBuilder​(DaprAppCallbackProtos.BindingEventResponse prototype)

#### toBuilder

    public DaprAppCallbackProtos.BindingEventResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprAppCallbackProtos.BindingEventResponse.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprAppCallbackProtos.BindingEventResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprAppCallbackProtos.BindingEventResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprAppCallbackProtos.BindingEventResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprAppCallbackProtos.BindingEventResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`